Package org.eclipse.birt.report.model.api

# Class CachedMetaDataHandle

java.lang.Object
org.eclipse.birt.report.model.api.ElementDetailHandle
org.eclipse.birt.report.model.api.ValueHandle
org.eclipse.birt.report.model.api.StructureHandle
org.eclipse.birt.report.model.api.CachedMetaDataHandle

public class CachedMetaDataHandle extends StructureHandle
Structure handle to deal with cached data set metadata informations. The information includes output column information when it gets from databases, input/output parameter definitions.

## Field Summary

### Fields inherited from class org.eclipse.birt.report.model.api.StructureHandle

`structContext`

### Fields inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle

`elementHandle`

## Constructor Summary

Constructors
Constructor
Description
`CachedMetaDataHandle(DesignElementHandle element, org.eclipse.birt.report.model.core.MemberRef ref)`
Deprecated.
`CachedMetaDataHandle(DesignElementHandle element, org.eclipse.birt.report.model.core.StructureContext ref)`
Constructors a handle given an element handle that defines the property and a member context to the metadata property.

## Method Summary

Modifier and Type
Method
Description
`MemberHandle`
`getParameters()`
Get a handle to deal with the cached parameter list member.
`MemberHandle`
`getResultSet()`
Get a handle to deal with the cached result set list member.

### Methods inherited from class org.eclipse.birt.report.model.api.StructureHandle

`drop, getContext, getDefn, getExpressionProperty, getExternalizedValue, getExternalizedValue, getIntProperty, getMember, getProperty, getPropertyDefn, getStringProperty, getStructure, isDesignTime, isLocal, iterator, setDesignTime, setExpressionProperty, setProperty, setPropertySilently`

### Methods inherited from class org.eclipse.birt.report.model.api.ValueHandle

`getReference`

### Methods inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle

`getDesign, getElement, getElementHandle, getModule`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CachedMetaDataHandle

public CachedMetaDataHandle(DesignElementHandle element, org.eclipse.birt.report.model.core.StructureContext ref)
Constructors a handle given an element handle that defines the property and a member context to the metadata property.

Parameters:
  `element` - an element handle that defines the property
  `ref` - a member reference to the data-set meta-data property.

### CachedMetaDataHandle

@Deprecated public CachedMetaDataHandle(DesignElementHandle element, org.eclipse.birt.report.model.core.MemberRef ref)
Deprecated.
Constructors a handle given an element handle that defines the property and a member reference to the metadata property.

Parameters:
  `element` - an element handle that defines the property
  `ref` - a member reference to the data-set meta-data property

## Method Details

### getParameters

public MemberHandle getParameters()
Get a handle to deal with the cached parameter list member.

Returns:
  a handle to deal with the cached parameter list member.

### getResultSet

public MemberHandle getResultSet()
Get a handle to deal with the cached result set list member.

Returns:
  a handle to deal with the cached result set list member.